What level Sugar Activities on F11 ?

Mikus Grinbergs mikus at bga.com
Mon Aug 17 16:04:09 EDT 2009


>> Is XO-1.5 software expected to run Activities marked "for 0.86" ?
> 
> If we are shipping Sugar 0.84, the answer is no (due to API incompatibility).
> The current build tools pulls in the latest stable activities from
> ASLO somewhat blindly (as per my understanding)

I am interpreting this answer to say:

   ASLO needs to declare a Sugar version to be stable, in time for it
   to be picked up by the XO-1.5 build tools.  Whatever "stable"
   Sugar version gets picked by XO-1.5, the Activities to be used
   with XO-1.5 need to be compatible with the picked Sugar version.
   The current "stable" Sugar version being picked up by the XO-1.5
   tools is 0.84.

   So it comes down to the ASLO "release" date (published 0.86 target
   is September), vs. the XO-1.5 "release" (to production) date
   (published target is "later in 2009").  "Test time" against 0.84
   is accumulating -- but "test time" against 0.86 appears doubtful.


Unless something to the contrary gets announced, I'll continue by 
__IGNORING__ Activity versions not marked for 0.82 - 0.84.


mikus



More information about the Devel mailing list